Update sandbox environment flags
curl --request PATCH \
--url https://api.example.com/api/v1/sandbox-environments/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"is_default": true
}
'import requests
url = "https://api.example.com/api/v1/sandbox-environments/{name}"
payload = {
"enabled": True,
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, is_default: true})
};
fetch('https://api.example.com/api/v1/sandbox-environments/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/sandbox-environments/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'is_default' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/sandbox-environments/{name}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"is_default\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/sandbox-environments/{name}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"is_default\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/sandbox-environments/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"is_default\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"created_by_subject": {
"subject_display_name": "<string>",
"subject_id": "<string>",
"subject_type": "<string>"
},
"description": "<string>",
"enabled": true,
"id": "<string>",
"is_default": true,
"lifecycle_stage": "active",
"manifest": {
"name": "<string>",
"description": "<string>",
"environment_variables": {},
"image": {
"type": "build",
"build_script": "set -ex\npip install httpx\n"
},
"networking": {
"domain_allow_list": "<string>",
"network_block_all": true,
"secrets": [
{
"env": "<string>",
"hosts": [
"<string>"
],
"value": "<string>"
}
]
},
"resources": {
"cpu": 1,
"disk": 3,
"memory": 1
}
},
"name": "<string>",
"status": "pending",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}Sandboxes
Update sandbox environment flags
Update sandbox environment metadata.
PATCH
/
api
/
v1
/
sandbox-environments
/
{name}
Update sandbox environment flags
curl --request PATCH \
--url https://api.example.com/api/v1/sandbox-environments/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"is_default": true
}
'import requests
url = "https://api.example.com/api/v1/sandbox-environments/{name}"
payload = {
"enabled": True,
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, is_default: true})
};
fetch('https://api.example.com/api/v1/sandbox-environments/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/sandbox-environments/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'is_default' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/sandbox-environments/{name}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"is_default\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/sandbox-environments/{name}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"is_default\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/sandbox-environments/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"is_default\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"created_by_subject": {
"subject_display_name": "<string>",
"subject_id": "<string>",
"subject_type": "<string>"
},
"description": "<string>",
"enabled": true,
"id": "<string>",
"is_default": true,
"lifecycle_stage": "active",
"manifest": {
"name": "<string>",
"description": "<string>",
"environment_variables": {},
"image": {
"type": "build",
"build_script": "set -ex\npip install httpx\n"
},
"networking": {
"domain_allow_list": "<string>",
"network_block_all": true,
"secrets": [
{
"env": "<string>",
"hosts": [
"<string>"
],
"value": "<string>"
}
]
},
"resources": {
"cpu": 1,
"disk": 3,
"memory": 1
}
},
"name": "<string>",
"status": "pending",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"type": "<string>"
}
}Authorizations
Path Parameters
Body
application/json